## org.apache.poi.hwpf.usermodel
Class ShadingDescriptor80

    java.lang.Object
      org.apache.poi.hwpf.model.types.SHD80AbstractType
          org.apache.poi.hwpf.usermodel.ShadingDescriptor80

All Implemented Interfaces:
  java.lang.Cloneable

    public final class ShadingDescriptor80

extends SHD80AbstractType
implements java.lang.Cloneable

The SHD80 is a substructure of the CHP and PAP, and TC for Word 97.

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.SHD80AbstractType
`field_1_value`

Constructor Summary
`ShadingDescriptor80()`
`ShadingDescriptor80(byte[] buf, int offset)`
`ShadingDescriptor80(short value)`

Method Summary
`ShadingDescriptor80` `clone()`
`boolean` `isEmpty()`
`byte[]` `serialize()`
`ShadingDescriptor` `toShadingDescriptor()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.types.SHD80AbstractType
`fillFields, getIcoBack, getIcoFore, getIpat, getSize, getValue, serialize, setIcoBack, setIcoFore, setIpat, setValue`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadingDescriptor80

    public ShadingDescriptor80()

### ShadingDescriptor80

    public ShadingDescriptor80(byte[] buf,
                               int offset)

### ShadingDescriptor80

    public ShadingDescriptor80(short value)

Method Detail

### clone

    public ShadingDescriptor80 clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### isEmpty

    public boolean isEmpty()

### serialize

    public byte[] serialize()

### toShadingDescriptor

    public ShadingDescriptor toShadingDescriptor()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SHD80AbstractType`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.